unit unit_calc_div;

// {$mode objfpc}{$H+}

interface

uses
  Dialogs, Classes, SysUtils, unit_calc_base_class_func, unit_conv_data;

type

	tcalc_div = class(tcalc_funcs)
		public
      arg1, arg2, arg_count, result : extended;
		procedure button_enter; override;
		procedure button_reset; override;
		function get_descr : string; override;
      procedure button_select; override;
	end;


implementation


	procedure tcalc_div.button_enter;
	begin
                if (self.arg_count<1) then
                   begin
                        try
                           self.arg1:=StrToFloat(self.input_edit.Text);
                        except
                              self.output_memo.Lines.Add('введён не верный первый аргумент');
                           exit;
                        end;
                        self.output_memo.Lines.Add('ведён первый аргумент '+self.get_value(self.arg1));
                        self.arg_count:=self.arg_count+1;
                        self.output_memo.Lines.Add('введите второй аргумент');
                        exit;
                   end;

                if (self.arg_count<2) then
                   begin
                        try
                           self.arg2:=StrToFloat(self.input_edit.Text);
                        except
                              self.output_memo.Lines.Add('введён не верный второй аргумент');
                           exit;
                        end;
                        self.result:=self.arg1/self.arg2;
                        self.output_memo.Lines.Add('ведён второй аргумент '+self.get_value(self.arg2));
                        self.output_memo.Lines.Add('результат div='+self.get_value(self.result));
                        self.arg_count:=0;
                   end;
end;

	procedure tcalc_div.button_reset;
	begin
   	self.output_memo.Clear;
      self.input_edit.Clear;
      self.arg_count:=0;
	end;

	function tcalc_div.get_descr : string;
	begin
   	self.arg_count:=0;
		self.str_describe:='Математическая функция деления';
      get_descr:=self.str_describe;
	end;

	procedure tcalc_div.button_select;
	begin
		self.output_memo.Lines.Add(self.str_describe);
      self.output_memo.Lines.Add('Введите первый аргумент:');
      self.arg_count:=0;
	end;


end.

