unit unit_sinh;

// {$mode objfpc}{$H+}

interface

uses
  Dialogs, Classes, SysUtils, math, unit_calc_base_class_func, unit_conv_data;

type

	tcalc_sinh = class(tcalc_funcs)
		public
      arg, result : extended;
		procedure button_enter; override;
		procedure button_reset; override;
		function get_descr : string; override;
      procedure button_select; override;
	end;


implementation


	procedure tcalc_sinh.button_enter;
	begin
		try
			self.arg:=StrToFloat(self.input_edit.Text);
      except
			self.output_memo.Lines.Add('введён не верный аргумент');
         exit;
      end;
      self.output_memo.Lines.Add('ведён аргумент '+self.get_value(self.arg));
      self.result:=sinh(self.arg);
      self.output_memo.Lines.Add('результат sinh='+self.get_value(self.result));
	end;

	procedure tcalc_sinh.button_reset;
	begin
   	self.output_memo.Clear;
      self.input_edit.Clear;
	end;

	function tcalc_sinh.get_descr : string;
	begin
		self.str_describe:='Математическая функция sinh';
      get_descr:=self.str_describe;
	end;

	procedure tcalc_sinh.button_select;
	begin
		self.output_memo.Lines.Add(self.str_describe);
      self.output_memo.Lines.Add('Введите аргумент:');
	end;


end.

